Skip to main content
GET
cURL

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Sponsor ID, company ID, company domain, or company slug

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

podcast_id
string

Scope results to one podcast by slug, internal ID, or numeric iTunes ID

since
string

Only include ads from episodes published on or after this ISO 8601 date or date-time

Example:

"2025-01-01T00:00:00Z"

until
string

Only include ads from episodes published before this ISO 8601 date or date-time

Example:

"2026-01-01T00:00:00Z"

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results